Page MenuHomePhabricator

Generate a database report on Meta showing global gadget usage
Closed, ResolvedPublic

Description

I think this already exists somewhere, but hasn't been updated in years.

Acceptance criteria:

  • Have a Tool Labs script generate a database report on Meta that lists all the gadgets and how many users have enabled the gadget on each wiki, e.g. HotCat: en(345), de(134), fr(34), etc.

A follow-up task could be to get permission to update the report regularly via a bot flag, but that isn't part of this task.

Event Timeline

kaldari created this task.Oct 9 2015, 10:08 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2015, 10:08 PM
kaldari added a subscriber: coren.Oct 9 2015, 10:10 PM

Note that there is a user_properties_anon table on Tool Labs that has the gadget prefs, but I'm not sure this table exists or is populated for all wikis. @coren would know for sure.

There are no "global gadgets" yet. Any attempt at grouping local gadgets by name is doomed to fail.

There are no "global gadgets" yet. Any attempt at grouping local gadgets by name is doomed to fail.

@Ricordisamoa: Why is that? I'm pretty sure the old report grouped them by name.

@NiharikaKohli: Do you know where the old global gadget usage report is? I can't seem to find it.

Yep, here it is: https://meta.wikimedia.org/wiki/Gadgets/wikipedia
Eran was kind enough to update it after I emailed him about it. But we should still look into setting it up for periodic updates.

There are no "global gadgets" yet. Any attempt at grouping local gadgets by name is doomed to fail.

@Ricordisamoa: Why is that?

Even the most popular gadgets can have translated names (e.g. VarmaKato) or the same name but different contents (e.g. P2167), dependencies, etc.

Even the most popular gadgets can have translated names (e.g. VarmaKato) or the same name but different contents (e.g. P2167), dependencies, etc.

@Ricordisamoa: Oh yeah, I'm sure the groupings would never catch all duplication of gadgets, but it seems like some attempt at grouping would be better than just a raw list. What do you think of the list at https://meta.wikimedia.org/wiki/Gadgets/wikipedia ?

Even the most popular gadgets can have translated names (e.g. VarmaKato) or the same name but different contents (e.g. P2167), dependencies, etc.

@Ricordisamoa: Oh yeah, I'm sure the groupings would never catch all duplication of gadgets, but it seems like some attempt at grouping would be better than just a raw list. What do you think of the list at https://meta.wikimedia.org/wiki/Gadgets/wikipedia ?

As you can see, it quickly becomes useless towards the bottom.

@Ricordisamoa: I agree that the long tail becomes pretty useless. Do you have any suggestions for how to make that report more useful? Should we limit it to the 100 most popular gadgets? Should we list every gadget on a separate wiki as a separate gadget? (Keep in mind we will also have T115152 at some point.) Do you think that report is even useful for the community? I definitely think it's useful for the Community Tech team at least :)

I wonder, @eranroz, have you set this report up for auto-updation yet? Ref: https://meta.wikimedia.org/wiki/Gadgets/wikipedia

The script should run on regular basis each month.
The ugly but working code: https://github.com/eranroz/wiki-gadgets-statistics
You are welcome to improve it and suggest better ways to group them.

  • It may be possible to improve it by showing only "active" gadgets (appear in gadgets-defintiion or some other message/config)
  • It is possible to better group gadgets based on their content, for example by using difflib. Not sure about its ROI

Personally, I'm fine with the report as it is (as long as it's going to be updated). I'll close this task as resolved. Thanks @eranroz!

kaldari closed this task as Resolved.Oct 14 2015, 9:11 PM
kaldari claimed this task.
kaldari moved this task from Epic backlog to To be estimated/discussed on the Community-Tech board.
kaldari moved this task from To be estimated/discussed to Untriaged on the Community-Tech board.

@Ricordisamoa: I agree that the long tail becomes pretty useless. Do you have any suggestions for how to make that report more useful?

  • It is possible to better group gadgets based on their content, for example by using difflib. Not sure about its ROI

We might also wait for Global Gadgets™ then...

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Nov 3 2015, 11:44 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 11:44 PM